Subject: bug#4944: 23.1.50; starting a server without forking a daemon

From: Dan Nicolaescu <[email-masked]>
Date: Wed, 18 Nov 2009 10:25:28 -0800 (PST)

Kenny Stuart <[email-masked]> writes:

  > Please write in English if possible, because the Emacs maintainers
  > usually do not have translators to read other languages for them.
  > 
  > Your bug report will be posted to the [email-masked] mailing list.
  > 
  > Please describe exactly what actions triggered the bug
  > and the precise symptoms of the bug.  If you can, give
  > a recipe starting from `emacs -Q':
  > 
  > This is a feature request to add the facility to start an emacs server
  > using a command-line option that runs as a foreground process instead
  > of forking a daemon and exiting.
  > 
  > Motivation:
  > 
  > Forking a daemon then exiting the main process is incompatible with
  > systems that manage processes as services, such as launchd on OS X,
  > therefore it is not possible to create an effective launchd service
  > using emacs in daemon mode.
  > 
  > Possible Solution:
  > 
  > For review I have included a patch that adds a --server command line
  > option that does what the --daemon option does, except it runs the
  > server in the foreground process rather than forking a daemon and
  > exiting.

How is this different from:

emacs -f server-start 

?

Also note that you do not have to start the daemon explicitly, if you use

emacsclient -a "" 

it will start an emacs daemon if one is not already running.